import { Injector, ErrorHandler } from '@angular/core';
export declare class ErrorHandlerService implements ErrorHandler {
    private injector;
    private overlay;
    constructor(injector: Injector);
    /**
     * Atraparemos el error y lo estandarizaremos
     * y mostraremos el error
     */
    handleError(error: any): void;
    /**
     * Estandarizaremos los diferentes tipos de errores
     */
    private sanitiseError;
    /**
     * Asignaremos el token al error
     * @param errorHandlerHooks token
     */
    private runHooks;
    /**
     * para la creacion de las configuraciones del overlay
     * usamos spread Operator (...)
     */
    private createOverlayReference;
    /**
     *  Instanciaremos nuestro componente añadiendo al overlay
     */
    private attachPortal;
    /**
     * Insertaremos el error a la clave que insertamos en el module
     * El objeto WeakMap es una colección de pares clave/valor en la que las claves son objetos y los valores son valores arbitrarios.
     */
    private createInjector;
}
