import { OnInit, ElementRef, Renderer2, OnDestroy } from '@angular/core';
import { ModalService } from '../services/modal.service';
/**
 * Abre el nuevo componente enuna ventana emergente con una animacion de oppocity
 */
export declare class ModalComponent implements OnInit, OnDestroy {
    private modalService;
    private el;
    private renderer;
    /**
     * id que recibe el modal para poder mostrarlo o ocultarlo
     */
    id: string;
    /**
     * variable por la cual asignamos la animacion al modal
     */
    openclose: 'open' | 'closed';
    /**
     * Variable donde guardamos el contenido del modal
     */
    private element;
    /***
     * Variable tipo document
     * no lo inicializamos en el constructor ya que es ilegal en una libreria
     * buscar una mejor solucion
     */
    private document?;
    /**
     * @ignore
     */
    constructor(modalService: ModalService, el: ElementRef, renderer: Renderer2, document?: any);
    /**
     * Al inicializar el componente validamos si tiene un id, lo añadimos al html, y le asignamos una accion de cerrar
     */
    ngOnInit(): void;
    /**
     * Se elimina del modal service cuando el componente es destruido
     */
    ngOnDestroy(): void;
    /**
     * abrimos el modal
     * Cambiamos la variable de la animacion
     * le aplicamos el estilo display block y le asignamos la
     * clase ngx-utilitario-modal-open que permite visualizar el componente
     */
    open(): void;
    /**
     * Cerramos el modal
     * Cambiamos la variable de la animacion
     * le aplicamos el estilo display none y le removemos la
     * clase ngx-utilitario-modal-open que permite visualizar el componente
     */
    close(): void;
}
